package net.northking.cctp.dw.utils;

import java.math.BigDecimal;

/**
 * @author: puchao.ma
 * @date: 2021/12/29 16:17
 */
public class DataDealUtil {

    /**
     * 计算比例,保留四位小数
     * @param sum
     * @param total
     * @return
     */
    public static double calculateFour(int sum, int total) {
        BigDecimal decimal = BigDecimal.valueOf((double) sum / total);
        return decimal.setScale(4, BigDecimal.ROUND_HALF_UP).doubleValue();
    }

    /**
     * 计算比例,保留两位小数
     * @param sum
     * @param total
     * @return
     */
    public static double calculateTwo(int sum, int total) {
        BigDecimal decimal = BigDecimal.valueOf((double) sum / total);
        double value = decimal.setScale(2, BigDecimal.ROUND_HALF_UP).doubleValue();
        return value > 100 ? 100 : value;
    }
}
